Skip to main content
`Ctrl`+`K`

# NEPGetConvergedReason

Gets the reason why the `NEPSolve()` iteration was stopped.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetConvergedReason(NEP nep,NEPConvergedReason *reason)

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameter

- reason - negative value indicates diverged, positive value converged, see `NEPConvergedReason` for the possible values

## Options Database Key

- -nep_converged_reason - print reason for convergence/divergence, and number of iterations

## Note

If this routine is called before or doing the `NEPSolve()` the value of `NEP_CONVERGED_ITERATING` is returned.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetTolerances()`, `NEPSolve()`, `NEPConvergedReason`

## Level

intermediate

## Location

src/nep/interface/nepsolve.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages